| Earth Observation Mission CFI Software Lib Software User Manual for JAVA |

Public Member Functions

# EECFI.TimeCorrelation Class Reference

Class that stores the time correlations. More...

Inheritance diagram for EECFI.TimeCorrelation:

List of all members.

## Public Member Functions
| TimeCorrelation (double time_corr[]) throws CfiError
| Class constructor: using time correlations.
| TimeCorrelation (long timeModel, Vector< String > timeFiles, TimeInterval time, TimeInterval valTime) throws CfiError
| Class constructor: using files and times.
| TimeCorrelation (long timeModel, Vector< String > timeFiles, long timeRef, OrbitInterval orbits, TimeInterval valTime) throws CfiError
| Class constructor: using files and orbits.
| TimeCorrelation (long timeModel, Vector< String > timeFiles, long timeRef, TimeInterval valTime) throws CfiError
| Class constructor: using files and default initialisation interval.
| TimeCorrelation (long timeModel, OsfFileVector fileData, TimeInterval time, TimeInterval valTime) throws CfiError
| Class constructor: using data read from OSF files and times.
| TimeCorrelation (long timeModel, OsfFileVector fileData, long timeRef, OrbitInterval orbits, TimeInterval valTime) throws CfiError
| Class constructor: using data read from OSF files and orbits.
| TimeCorrelation (long timeModel, OsfFileVector fileData, long timeRef, TimeInterval valTime) throws CfiError
| Class constructor: using data read from OSF files and default initialisation interval.
| TimeCorrelation (long timeModel, OrbitFileVector fileData, TimeInterval time, TimeInterval valTime) throws CfiError
| Class constructor: using data read from Orbit files and times.
| TimeCorrelation (long timeModel, OrbitFileVector fileData, long timeRef, OrbitInterval orbits, TimeInterval valTime) throws CfiError
| Class constructor: using data read from Orbit files and orbits.
| TimeCorrelation (long timeModel, OrbitFileVector fileData, long timeRef, TimeInterval valTime) throws CfiError
| Class constructor: using data read from Orbit files and default initialisation interval.
| TimeCorrelation (long timeModel, DorisFileVector fileData, TimeInterval time, TimeInterval valTime) throws CfiError
| Class constructor: using data read from DORIS Navigator files and times.
| TimeCorrelation (long timeModel, DorisFileVector fileData, long timeRef, OrbitInterval orbits, TimeInterval valTime) throws CfiError
| Class constructor: using data read from DORIS Navigator files and orbits.
| TimeCorrelation (long timeModel, DorisFileVector fileData, long timeRef, TimeInterval valTime) throws CfiError
| Class constructor: using data read from DORIS Navigator files and default initialisation interval.
| TimeCorrelation (long timeModel, IersBulletinFileVector fileData, TimeInterval time, TimeInterval valTime) throws CfiError
| Class constructor: using data read from IERS bulletin files and times.
| TimeCorrelation (long timeModel, IersBulletinFileVector fileData, long timeRef, OrbitInterval orbits, TimeInterval valTime) throws CfiError
| Class constructor: using data read from IERS bulletin files and orbits.
| TimeCorrelation (long timeModel, IersBulletinFileVector fileData, long timeRef, TimeInterval valTime) throws CfiError
| Class constructor: using data read from IERS bulletin files and default initialisation interval.
| TimeCorrelation (TimeCorrelationData timeData, long timeRef, TimeInterval valTime) throws CfiError
| Class constructor: with user define Time correlation data.
native TimeCorrelationData | getData ()
| Get data.
native LeapSecond | getLeapSecondInfo (long asciiFormat) throws CfiError
| Get leap second info.
native void | setData (TimeCorrelationData timeCorr)
| Set data.
void | close () throws CfiError
| Release all resources managed by this object.

## Detailed Description

Class that stores the time correlations.

## Constructor & Destructor Documentation

EECFI.TimeCorrelation::TimeCorrelation | ( | double | time_corr[] | ) | throws CfiError

Class constructor: using time correlations.

Parameters:

  | time_corr | Time correlations array: [0] = TAI time (Decimal days - Processing format). Allowed range=[-18262.0, 36524.0] [1] = UTC time (Decimal days - Processing format). Allowed range=[-18262.0, 36524.0] [2] = UT1 time (Decimal days - Processing format). Allowed range=[-18262.0, 36524.0] [3] = GPS time (Decimal days - Processing format). Allowed range=[-18262.0, 36524.0].

EECFI.TimeCorrelation::TimeCorrelation | ( | long | timeModel,
|  | Vector< String > | timeFiles,
|  | TimeInterval | time,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using files and times.

In order to read files, this method internally uses Data Handling functions.

Please refer to [D_H_SUM] for further details.

Parameters:

  | timeModel | Time model (TimeModelEnum). Allowed range: complete except XLCFI_TIMEMOD_USER. Note: when the input file is an IERS Bulleting B file and the time mode is XLCFI_TIMEMOD_AUTO, then the time model is set automatically to XLCFI_TIMEMOD_IERS_B_RESTITUTED. Time interval initialisation is not allowed for Orbit Scenario Files.
  | timeFiles | Array of files.
  | time | Requested initialisation time window.
  | valTime | [OUTPUT] Time validity interval.

EECFI.TimeCorrelation::TimeCorrelation | ( | long | timeModel,
|  | Vector< String > | timeFiles,
|  | long | timeRef,
|  | OrbitInterval | orbits,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using files and orbits.

In order to read files, this method internally uses Data Handling functions.

Please refer to [D_H_SUM] for further details.

Parameters:

  | timeModel | Time model (TimeModelEnum). Allowed range: complete except XLCFI_TIMEMOD_USER. Initialisation with orbit interval is not allowed for IERS Bulletins, DORIS Navigator files nor Orbit Scenario Files files.
  | timeFiles | Array of files.
  | timeRef | Time reference for the validity interval.
  | orbits | Requested initialisation orbit window.
  | valTime | [OUTPUT] Time validity interval.

EECFI.TimeCorrelation::TimeCorrelation | ( | long | timeModel,
|  | Vector< String > | timeFiles,
|  | long | timeRef,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using files and default initialisation interval.

In order to read files, this method internally uses Data Handling functions.

Please refer to [D_H_SUM] for further details.

Parameters:

  | timeModel | Time model (TimeModelEnum). Allowed range: complete except XLCFI_TIMEMOD_USER. Note: when the input file is an IERS Bulleting B file and the time mode is XLCFI_TIMEMOD_AUTO, then the time model is set automatically to XLCFI_TIMEMOD_IERS_B_RESTITUTED.
  | timeFiles | Array of files.
  | timeRef | Time reference for the validity interval.
  | valTime | [OUTPUT] Time validity interval.

EECFI.TimeCorrelation.TimeCorrelation | ( | long | timeModel,
|  | OsfFileVector | fileData,
|  | TimeInterval | time,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using data read from OSF files and times.

EECFI.TimeCorrelation.TimeCorrelation | ( | long | timeModel,
|  | OsfFileVector | fileData,
|  | long | timeRef,
|  | OrbitInterval | orbits,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using data read from OSF files and orbits.

EECFI.TimeCorrelation.TimeCorrelation | ( | long | timeModel,
|  | OsfFileVector | fileData,
|  | long | timeRef,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using data read from OSF files and default initialisation interval.

EECFI.TimeCorrelation.TimeCorrelation | ( | long | timeModel,
|  | OrbitFileVector | fileData,
|  | TimeInterval | time,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using data read from Orbit files and times.

EECFI.TimeCorrelation.TimeCorrelation | ( | long | timeModel,
|  | OrbitFileVector | fileData,
|  | long | timeRef,
|  | OrbitInterval | orbits,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using data read from Orbit files and orbits.

EECFI.TimeCorrelation.TimeCorrelation | ( | long | timeModel,
|  | OrbitFileVector | fileData,
|  | long | timeRef,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using data read from Orbit files and default initialisation interval.

EECFI.TimeCorrelation.TimeCorrelation | ( | long | timeModel,
|  | DorisFileVector | fileData,
|  | TimeInterval | time,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using data read from DORIS Navigator files and times.

EECFI.TimeCorrelation.TimeCorrelation | ( | long | timeModel,
|  | DorisFileVector | fileData,
|  | long | timeRef,
|  | OrbitInterval | orbits,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using data read from DORIS Navigator files and orbits.

EECFI.TimeCorrelation.TimeCorrelation | ( | long | timeModel,
|  | DorisFileVector | fileData,
|  | long | timeRef,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using data read from DORIS Navigator files and default initialisation interval.

EECFI.TimeCorrelation.TimeCorrelation | ( | long | timeModel,
|  | IersBulletinFileVector | fileData,
|  | TimeInterval | time,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using data read from IERS bulletin files and times.

EECFI.TimeCorrelation.TimeCorrelation | ( | long | timeModel,
|  | IersBulletinFileVector | fileData,
|  | long | timeRef,
|  | OrbitInterval | orbits,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using data read from IERS bulletin files and orbits.

EECFI.TimeCorrelation.TimeCorrelation | ( | long | timeModel,
|  | IersBulletinFileVector | fileData,
|  | long | timeRef,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: using data read from IERS bulletin files and default initialisation interval.

EECFI.TimeCorrelation.TimeCorrelation | ( | TimeCorrelationData | timeData,
|  | long | timeRef,
|  | TimeInterval | valTime |
| ) |  |  | throws CfiError

Class constructor: with user define Time correlation data.

## Member Function Documentation

void EECFI.TimeCorrelation.close | ( |  | ) | throws CfiError

Release all resources managed by this object.

IMPORTANT: The life time of the EOCFI Java objects must be explicitly managed by the program work flow. Failure to perform this release will lead to resource leakage and might have a significant impact in performance.

TimeCorrelationData EECFI.TimeCorrelation::getData | ( |  | ) |

Get data.

Returns:
  Time correlation data.

LeapSecond EECFI.TimeCorrelation::getLeapSecondInfo | ( | long | asciiFormat | ) | throws CfiError

Get leap second info.

Note that, if the time correlations where initalised with an Orbit Scenario File, leap seconds could be wrongly calculated.

Parameters:

  | asciiFormat | Ascii format (TimeAsciiEnum).

void EECFI.TimeCorrelation::setData | ( | TimeCorrelationData | timeCorr | ) |

Set data.

Parameters:

  | timeCorr | Time correlation data.